﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BinHeapArray
{
    public class BinaryTreeNode : IComparable
    {
        public int Key { get; set; }

        public BinaryTreeNode()
        {
        }

        public BinaryTreeNode(int tC)
        {
            Key = tC;
        }

        public int CompareTo(object tC)
        {
            int key = ((BinaryTreeNode)tC).Key;
            if (Key > key) return 1;
            if (Key < key) return -1;
            return 0;
        }

        public override string ToString()
        {
            return Key.ToString();
        }
    }
}
